{
    "name": "frontend",
    "version": "0.1.0",
    "private": true,
    "scripts": {
        "dev": "next dev",
        "build": "next build",
        "start": "next start",
        "svgr": "npx @svgr/cli -d src/components/icons --ignore-existing --icon --typescript public/icons",
        "lint": "eslint \"**/*.{ts,tsx}\"",
        "prettier": "prettier --write \"**/*.{ts,tsx}\""
    },
    "dependencies": {
        "@emotion/react": "^11.7.1",
        "@emotion/styled": "^11.6.0",
        "@iconify/icons-ant-design": "^1.1.0",
        "@iconify/icons-eva": "^1.1.0",
        "@iconify/icons-ic": "^1.1.10",
        "@iconify/react": "^3.0.1",
        "@mui/icons-material": "^5.2.5",
        "@mui/lab": "^5.0.0-alpha.61",
        "@mui/material": "^5.2.5",
        "@mui/styled-engine-sc": "^5.1.0",
        "@reduxjs/toolkit": "^1.6.0",
        "axios": "^0.21.1",
        "formik": "^2.2.9",
        "framer-motion": "^5.5.5",
        "gojs": "^2.2.6",
        "lodash": "^4.17.21",
        "material-ui-popup-state": "^2.0.0",
        "next": "12.0.7",
        "next-compose-plugins": "^2.2.1",
        "next-pwa": "^5.4.4",
        "numeral": "^2.0.6",
        "prettier": "^2.2.1",
        "react": "17.0.2",
        "react-dom": "17.0.2",
        "react-dropzone": "^11.5.1",
        "react-google-map-picker": "^1.2.3",
        "react-intersection-observer": "^8.33.1",
        "react-redux": "^7.2.4",
        "react-toastify": "^8.1.0",
        "react-use": "^15.3.8",
        "redux-persist": "^6.0.0",
        "swr": "^0.4.0",
        "yup": "^0.32.11"
    },
    "devDependencies": {
        "@svgr/cli": "^5.5.0",
        "@types/lodash": "^4.14.178",
        "@types/node": "^14.14.13",
        "@types/numeral": "^2.0.2",
        "@types/react": "^17.0.0",
        "@types/react-dom": "^17.0.0",
        "@types/react-draft-wysiwyg": "^1.13.3",
        "@types/react-dropzone": "^5.1.0",
        "@types/react-redux": "^7.1.16",
        "@types/react-toastify": "^4.1.0",
        "@types/styled-components": "^5.1.19",
        "@types/yup": "^0.29.13",
        "@typescript-eslint/eslint-plugin": "^4.9.1",
        "@typescript-eslint/parser": "^4.9.1",
        "eslint": "^7.15.0",
        "eslint-config-prettier": "^7.0.0",
        "eslint-plugin-prettier": "^3.2.0",
        "husky": "^4.3.7",
        "lint-staged": "^10.5.3",
        "typescript": "^4.1.3"
    },
    "lint-staged": {
        "*.{js,jsx,ts,tsx}": [
            "npm run lint -- --quiet --fix"
        ]
    },
    "husky": {
        "hooks": {
            "pre-commit": "lint-staged"
        }
    }
}
